Bug 732021 - [RFE] Make mine jobs accessible (patch included)
Summary: [RFE] Make mine jobs accessible (patch included)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 13:59 UTC by Marian Ganisin
Modified: 2019-05-22 13:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-26 06:40:45 UTC


Attachments (Terms of Use)
patch (980 bytes, patch)
2011-08-19 13:59 UTC, Marian Ganisin
no flags Details | Diff

Description Marian Ganisin 2011-08-19 13:59:39 UTC
Created attachment 519041 [details]
patch

Description of problem:

I could be nice to have direct link to mine jobs, most important view.

Attached patch wasn't tested, I haven't beaker instance for testing. I didn't even study beaker internals carefully. Please review it with care, avoid possible issues introduced be me. ;)

Comment 1 Raymond Mancy 2011-11-08 07:09:58 UTC
Hi Marian. As it is the 'My Jobs' link is only hover + one click. I don't feel this patch will increase the usability of the site. If people disagree, please re-open

Comment 2 Marian Ganisin 2011-11-08 07:21:01 UTC
People disagree, reopened.

Comment 3 Pavel Holica 2011-11-08 07:25:08 UTC
My jobs is more important and more often used than My Recipes, My groups... so it imho deserves special place for quicker and more comfortable accesibility.
If I go to this hover menu, I go there only for My jobs.

Comment 4 Jan Stodola 2011-11-08 07:40:48 UTC
I would also like to see "My jobs" as a direct link on main page, since "My jobs" is one of the most frequently used Beaker pages.

Comment 5 Martin Banas 2011-11-08 07:41:55 UTC
I agree with Marian, direct link to "Mine Jobs" would be great since I use it very often everyday. Please reconsider adding the patch :)

Comment 6 Raymond Mancy 2012-05-10 01:32:40 UTC
On gerrit

http://gerrit.beaker-project.org/#/c/1050/

Comment 9 Dan Callaghan 2012-06-26 06:40:45 UTC
Beaker 0.9.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.